curl --request POST \
--url https://api.example.com/api/kb/ingest-cloud \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"provider": "<string>",
"fileId": "<string>",
"fileName": "<string>"
}
],
"collection": "<string>",
"chunk_size": 123,
"chunk_overlap": 123,
"separators": [
"<string>"
],
"embedding_model_id": "text-embedding-v4",
"embedding_batch_size": 123,
"max_retries": 123,
"retry_delay": 123
}
'import requests
url = "https://api.example.com/api/kb/ingest-cloud"
payload = {
"files": [
{
"provider": "<string>",
"fileId": "<string>",
"fileName": "<string>"
}
],
"collection": "<string>",
"chunk_size": 123,
"chunk_overlap": 123,
"separators": ["<string>"],
"embedding_model_id": "text-embedding-v4",
"embedding_batch_size": 123,
"max_retries": 123,
"retry_delay": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [{provider: '<string>', fileId: '<string>', fileName: '<string>'}],
collection: '<string>',
chunk_size: 123,
chunk_overlap: 123,
separators: ['<string>'],
embedding_model_id: 'text-embedding-v4',
embedding_batch_size: 123,
max_retries: 123,
retry_delay: 123
})
};
fetch('https://api.example.com/api/kb/ingest-cloud', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"status": "<string>",
"message": "<string>",
"doc_id": "<string>",
"parse_hash": "<string>",
"chunk_count": 0,
"embedding_count": 0,
"vector_count": 0,
"completed_steps": [
{
"name": "<string>",
"metadata": {}
}
],
"failed_step": "<string>",
"warnings": [
"<string>"
],
"file_id": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Ingest Cloud
Ingest files from cloud storage.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Available parsing methods
default, pypdf, pdfplumber, unstructured, pymupdf, deepdoc Available chunk strategies
recursive, fixed_size, markdown Response
Successful Response
Pipeline status: success|error|partial
Human-readable summary of pipeline result
Document identifier produced by register_document
Parse hash produced during parse_document step
Number of chunks created; must be non-negative
x >= 0Number of embeddings generated; must be non-negative
x >= 0Number of vectors written to storage; must be non-negative
x >= 0List of successfully completed steps
Show child attributes
Show child attributes
Pipeline step where failure occurred, if any
Non-fatal warnings encountered
Uploaded file ID for preview/download via /api/files (when ingest registers the file)

